Subject: Re: [patch net-next-2.6] net: reinject arps into bonding slave instead of master

From: Nicolas de Pesloüan<[email-masked]>
Date: Mon, 07 Mar 2011 22:30:57 +0100

Le 07/03/2011 22:19, Jiri Pirko a écrit :
>>
>> Andy, while you are testing it, can you ensure it also works for the following setup?
>>
>> eth0 ->  bond0 ->  br0 ->  br0.100
>>
>
> I do not think this will work (it never did).

Yes, but it should...

> Bridge reinjects skb, does not do another loop.

Yes, but it should...

> Therefore when skb->dev == br0 and vlan_on_bond hook is called, orig_dev == br0 as well. + No
> IFF_BONDING is set.

If only bridge returned RX_HANDLER_ANOTHER with skb->dev changed to br0... instead of re-injecting 
the skb... One more reason to avoid re-injecting.

> I have some kind nice solution in mind and I'm going to submit that as a patch later (too many
> patches are in the wind atm).

Agreed. It's time for others to review, test and ack :-D

	Nicolas.